Name:           iw
Version:        5.19
Release:        1
Summary:        A nl80211 based wireless configuration tool

License:        ISC
URL:            https://wireless.kernel.org/en/users/Documentation/%{name}
Source0:        https://www.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc kernel-headers libnl3-devel pkgconfig

%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
It supports all new drivers that have been added to the kernel recently.
The old tool iwconfig, which uses Wireless Extensions interface,
is deprecated and it's strongly recommended to switch to iw and nl80211.

%package help
Summary:        Help files for iw

%description help
Help document files for iw.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"
%make_build

%install
%make_install MANDIR=%{_mandir}

%files
%defattr(-,root,root)
%license COPYING
%{_sbindir}/%{name}

%files help
%defattr(-,root,root)
%{_mandir}/man8/iw.*

%changelog
* Thu Jul 28 2022 hkgy <kaguyahatu@outlook.com> - 5.19-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update iw to 5.19

* Tue Jan 11 2022 Lv Genggeng <lvgenggeng@uniontech.com> - 5.16-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update iw to 5.16

* Fri Jan 22 2021 xihaochen<xihaochen@huawei.com> - 5.9-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update iw to 5.9

* Mon Sep 02 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.1-1
- Package init
